Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class XfaForm.InverseStore

    java.lang.Object
      com.lowagie.text.pdf.XfaForm.InverseStore

Enclosing class:
  XfaForm

    public static class XfaForm.InverseStore

extends Object

A structure to store each part of a SOM name and link it to the next part beginning from the lower hierarchy.

Field Summary
`protected ArrayList` | `follow`
`protected ArrayList` | `part`

Constructor Summary
`XfaForm.InverseStore()`

Method Summary
`String` | `getDefaultName()` Gets the full name by traversing the hierarchy using only the index 0.
`boolean` | `isSimilar(String name)` Search the current node for a similar name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### part

    protected ArrayList part

### follow

    protected ArrayList follow

Constructor Detail

### XfaForm.InverseStore

    public XfaForm.InverseStore()

Method Detail

### getDefaultName

    public String getDefaultName()

  Gets the full name by traversing the hierarchy using only the index 0.

  Returns:
    the full name

### isSimilar

    public boolean isSimilar(String name)

  Search the current node for a similar name. A similar name starts with the same name but has a different index. For example, "detail[3]" is similar to "detail[9]". The main use is to discard names that correspond to out of bounds records.

  Parameters:
    `name` - the name to search
  Returns:
    `true` if a similitude was found

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD